lisp2arx
Visual Programming for AutoLisp Mathématiques en programmation Lisp.. doc2cpp,doc2lsp, sld2lsp, bmp2dcl, free__GifCcapture for all-CAD'platforms..
Lista Forumurilor Pe Tematici
lisp2arx | Reguli | Inregistrare | Login

POZE LISP2ARX

Nu sunteti logat.
Nou pe simpatie:
karina22
Femeie
25 ani
Bucuresti
cauta Barbat
25 - 54 ani
lisp2arx / DrawingTools / Need Lisp routine for DWG compatability with MicroStation Moderat de zauchan
Autor
Mesaj Pagini: 1
admin
Administrator

Din: Bucharest
Inregistrat: acum 13 ani
Postari: 516
i have a requirement to make the autocad dwg file drawing to make it compatible opening with microstation software. for that i need to do the following everytime in  my drawing :

1. Burst all nested blocks/attribute blocks in the drawing
2. Make all associative hatches as non associative
3. Make all associative dimensions as non associative
4. Clean/Purge the drawing

Code:

(defun C:DWG2MS (/ n1 ss-h)
  (explodeall  (ssget "x"))
  (setq n1 0
    ss-h (ssget "x" '((0 . "HATCH"))))
  (repeat (sslength ss-h)
    (command "._-HATCHEDIT" (ssname ss-h n1) "Disassociate")
    (setq n1 (1+ n1))
    )
  (command "._DIMDISASSOCIATE" "all" "")
  (command "._-PURGE" "all" "*" "N")
  )

=D

Code:

(defun c:DWG2MS (/ n1 ss1 ss2)
  ; (explodeall  (ssget "x"))
  (if  (setq ss1 (ssget "_X" '((0 . "INSERT"))))
    (progn
      (setq pfst (getvar 'PICKFIRST))
      (setvar 'PICKFIRST 1)
      (sssetfirst nil ss1)
      (LM:burst ss1)
      )
    )
  (setq n1 0
    ss2 (ssget "x" '((0 . "HATCH"))))
  (if ss2
    (repeat (sslength ss2)
      (command "._-HATCHEDIT" (ssname ss2 n1) "Disassociate")
      (setq n1 (1+ n1))
      )
    )
  (command "._DIMDISASSOCIATE" "all" "")
  (command "._-PURGE" "all" "*" "N")
  )



_______________________________________


pus acum 4 ani
   
Pagini: 1  

Mergi la